Overview

Syncpro synchronizes Folders and Files on the same drive, another drive or across the network.

Syncpro works as two way synchronization utility to ensure that files are up to date between drives or computers.

You can set up profiles that describe as many as source and target locations needed to be synchronized.

All what you need to do is to open your saved profile and with one click all your files are synchronized.

Syncpro also creates shortcuts of your profiles so you can synchronize all your files by only double clicking the shortcut or putting the shortcut in Scheduled Tasks for frequent scheduled synchronization.

Syncpro also makes exact copies of folders for backup and archive purposes. Syncpro can also be used as a briefcase and transport the data between two unconnected machines using any movable media.

Syncpro keeps all your computers and disks up to date, synchronizes your notebook with your Desktop, synchronizes files within a work or project team ,transfers files between your office , home and your notebook Computers, backups your day's and week's work and transfers Programs ' DATA between Computers (e.g.. synchronizing ICQ data between two PCs)

The purpose of this software is to synchronize , transfer , backup and archive your directories and files by using any of the Following :

Using disks ( floppy disk, Zip, Jaz and CD-R/W, LS ,etc..)

Between PCs Over Network

Between PC and a Server Over Network

Two hard disks in the same machine

Two Partitions on the same Hard Disk

Two Directories on the Same partition

Two PCs connected by cable (Serial or Parallel) infrared (IR) Connection

Two PCs connected by Internet

What you can DO?

keep all your computers and disks up to date

Quick Backup for it only backups updated files and directories

synchronize your notebook with your Desktop

synchronize files within a work or project team

transfer files between your office , home and your notebook Computers

on the road, synchronize your notebook with your company network or Home Desktop Remotely

backup your day's and week's work

keep current copies of system files on disk

Transfer Programs ' DATA between Computers (e.g.. Synchronizing ICQ data between two PCs)

Features :

This program is designed to synchronize files between two directories on the same machine, or two directories between two machines connected through a network or dial-up-networking. It can also be used as a "briefcase" and transport the data between two unconnected machines.

a file synchronization tool. One of the primary uses of is to provide the functions necessary when maintaining files on two computers. For example, if you have files that need to be synchronized between your office and home systems , between two PCs over network , between PC and Server , between Notebook and Desktop

also can provide the housekeeping support to maintain synchronized versions of all required files, using a removable disk as the transport medium.

also be used as a simple backup tool. use it when you want to save work from the hard disk to a removable disk – it saves time, because only modified files will be copied, and only selected files or groups of files (based upon file extensions) will be included in the copy.

File extensions (e.g., 'DOC', 'XLS', 'PPT, etc.) are used to control the default behavior of the file selection and synchronization behavior.


The Profile is a list of source and target directories which are needed to be synchronized

Profiles

The Profile is a list of Entries , each Entry holds a source and a target folder which are needed to be synchronized

How to Create a Desktop Shortcut of a Profile ?

Right Click any where on Profile Entries and Choose "Create Shortcut"

by creating a Desktop Shortcut to a Profile you can do the synchronization by just double-clicking the shortcut or you can automate the synchronization by copying this shortcut to the Windows scheduler


We make a New Profile by Clicking

How to use this Program

What is a Profile?

The names of Folders you need to be synchronized are listed in Profiles

Each Profile holds a List of Entries

Each Entry holds how and what you are going to synchronize

How to Start a new Profile ?

Click on "File" and "New Profile" to start a new Profile

How to Start a new Entry ?

Right Click on "Profile Entries" and Choose "New Entry"

we will have this screen :

Choose a S ource directory – either click on “Browse” to the right of the Source entry, or type the directory directly into the edit box.

Choose a Target directory – either click on “Browse” to the right of the Source entry, or type the directory directly into the edit box.

Include wanted extensions, by writing the extensions separated by commas., or simply “*” to select all files or you can press “Default” to choose All Files (“*”)

Exclude unwanted extensions, by writing the extensions separated by commas., or simply nothing to Exclude none or you can press “Default” to Exclude none

"Include Sub Folders" should be checked when we need Sub Folders of Source and Target Folders to be synchronized

"Copy Source to Target" should be checked when we need Files to be copied from Source Folder to Target Folder and Not checked when we don't need Files to be copied from Source Folder to Target Folder

"Copy Target to Source " should be checked when we need Files to be copied from Target Folder to Source Folder and Not checked when we don't need Files to be copied from Target Folder to Source Folder

If we need to add New Entry we click on "New Entry" button to start a new Entry

Once Every thing is Done , Choose “OK”

Our New Profile Should look like this:

How to Save a Profile ?

Click on "File" and "Save Profile" to Save a Profile

What is Scanning process?

Scanning is determining which files need updating in both Source and Target Folders

What is Updated Files?

The Updated Files are those files which is Newer in either Source or Target folders

How to make our program Scan the updated Files?

Click on "Synchronize" and choose "Scan Updated Files" to Scan Files of All Entries in a Profile

OR

Right Click on an Entry and choose "Scan Files of this Entry" to Scan only the Files of this Entry

We will see this Message to the left of the status bar indicating that the Program is working on Files:

Also there is a Progress Bar to the Right Top Displaying the Progress of Scanning process

when Scanning is Finished you ‘ll see a window like this :

which Displays two lists

Source Files List : displays the files in Source Directories that should be copied to Target Directories

Target Files List : displays the files in Target Directories that should be copied to Source Directories

each list contains the following columns:
Name | the File Name
Source | where to copy the file from
Target | where to copy the file to
Status | states if the fiele is a new file or newer File (will be overwritten)
Last Modified | the date when the file was last modified
Size (KB) | File Size in Kilo Bytes

When we look at the status bar we see this :

Here you can see the number of files in Source Folders that should be copied to Target Folders (with their total Size) and also the number of files in Target Folders that should be copied to Source Folders (with their total Size)

Note : time taken by this operation is determined according to the number of files need to be scanned and network speed (you may increase speed by disabling “Show File Icons”)

How to disable "Show File Icons"?

Click on "View" and "Show File Icons" to Enable and Disable Displaying an ICON for every file

What is Synchronization process?

Synchronization Process is Copying all newer files in Source folders to Target folders (if the properties of this entry states that ) and all newer files in target folders to source folders (if the properties of this entry states that )

How to Synchronize?

Click on "Synchronize" and choose "Synchronize Updated Files" to Synchronize Files of All Entries in a Profile

OR

Right Click on an Entry and choose "Synchronize Files of this Entry" to Synchronize only the Files of this Entry

Only Checked files will be Synchronized , All files are Checked by Default , we can Check and UnCheck files using either "Space Bar" or clicking the check mark to the left of the file name

we can manage Files by Right Clicking any of the two lists (see. File Management )

Clicking the “Synchronize “ Button we’ll see the status Bar looks like this:

Here we see the current file being Copied , progress bar indicating where we are

When Copying is Finished the Status Bar will Show:

So we know that we are Finished


Scanning

What is Scanning process?

Scanning is determining which files need updating in both Source and Target Folders

What is Updated Files?

The Updated Files are those files which is Newer in either Source or Target folders

How to make our program Scan the updated Files?

Click on "Synchronize" and choose "Scan Updated Files" to Scan Files of All Entries in a Profile

OR

Right Click on an Entry and choose "Scan Files of this Entry" to Scan only the Files of this Entry

We will see this Message to the left of the status bar indicating that the Program is working on Files:

Also there is a Progress Bar to the Right Top Displaying the Progress of Scanning process

when Scanning is Finished you ‘ll see a window like this :

which Displays two lists

Source Files List : displays the files in Source Directories that should be copied to Target Directories

Target Files List : displays the files in Target Directories that should be copied to Source Directories

each list contains the following columns:
Name | the File Name
Source | where to copy the file from
Target | where to copy the file to
Status | states if the fiele is a new file or newer File (will be overwritten)
Last Modified | the date when the file was last modified
Size (KB) | File Size in Kilo Bytes

When we look at the status bar we see this :

Here you can see the number of files in Source Folders that should be copied to Target Folders (with their total Size) and also the number of files in Target Folders that should be copied to Source Folders (with their total Size)

Note : time taken by this operation is determined according to the number of files need to be scanned and network speed (you may increase speed by disabling “Show File Icons”)

How to disable "Show File Icons"?

Click on "View" and "Show File Icons" to Enable and Disable Displaying an ICON for every file


Synchronization

What is Synchronization process?

Synchronization Process is Copying all newer files in Source folders to Target folders (if the properties of this entry states that ) and all newer files in target folders to source folders (if the properties of this entry states that )

How to Synchronize?

Click on "Synchronize" and choose "Synchronize Updated Files" to Synchronize Files of All Entries in a Profile

OR

Right Click on an Entry and choose "Synchronize Files of this Entry" to Synchronize only the Files of this Entry

Only Checked files will be Synchronized , All files are Checked by Default , we can Check and UnCheck files using either "Space Bar" or clicking the check mark to the left of the file name

we can manage Files by Right Clicking any of the two lists (see. File Management )

Clicking the “Synchronize “ Button we’ll see the status Bar looks like this:

Selecting Files : we can Check and UnCheck files using either "Space Bar" or clicking the check mark to the left of the file name

Default : by Default all files in Source and Target Directories are Checked

File Management : we can manage Files by Right Clicking any of the two lists

Only Checked files will be Copied to the Target/Source Directories

The Synchronization Process displays a progress bar like this:

When Copying is Finished the Status Bar will Show:


Creating a Desktop Shortcut

How to Create a Desktop Shortcut of a Profile ?

Right Click any where on Profile Entries and Choose "Create Shortcut"

by creating a Desktop Shortcut to a Profile you can do the synchronization by just double-clicking the shortcut or you can automate the synchronization by copying this shortcut to the Windows scheduler


File Management

by Right Clicking any of our two Lists we get the File Management menu

Open File : opens or runs the selected File ( could be done with double-clicking the file)

Delete File : Deletes the selected File ( From Disk)

Delete Checked Files : Deletes all Checked Files ( From Disk)

Delete UnChecked Files : Deletes all UnChecked Files ( From Disk)

Check / UnCheck Fil e : inverts the status of the selected file ( checks the file if Unchecked or Unchecks the file if checked)

Check All Files : marks all files in the list to be checked

UnCheck All Files : marks all files in the list to be Unchecked

Invert Checking of All Files : inverts the status of all files ( checks the file if Unchecked or Unchecks the file if checked)


Automation

you can automatically Backup your system by by creating a Desktop Shortcut to a Profile and copying this shortcut to the Windows scheduler


Contacts

Web Site: WWW.01Ware.COM

General: INFO@01Ware.COM

Support: Support@01Ware.COM

Sales: Sales@01Ware.COM


Errors

if any errors happen while Synchronization this will be shown at the status bar

to display errors we either double-click this message or click the Errors button in the toolbar

File Name | Name of the file which caused the error
Source | the Source location of the File
Target | the Target location of the File
Error | Error Status


.topic 1
This is the List of Files in the  Source Directories
which is newer than the Files in the Target Directories

.topic 2
This is the List of Files in the  Target Directories
which is newer than the Files in the Source Directories

.topic 3
This is the List of Source and Target Directories


Miscellaneous

Time Stamps:

Files' time stamps my not be calculated properly if the "Time Zone" is not adjusted in the Control Panel for all Computers

Speed Considerations:

1st time Scanning and Synchronization is always the slowest , afterwards synchronization will be faster

Scanning speed depends on the total number of files being scanned not the sizes

Scanning speed depends on the total updated number of Files

disabling the "Show Icons" button increases the Scanning speed

as an example scanning about 1000 File on the same machine may take about 10 seconds

as an example scanning about 1000 File on two machines over network with a speed of 10 MBPS may take about 15 seconds

Synchronization speed depends on the total number of files being scanned and their sizes, it also depends on network speed

Other:

on starting the program opens the last profile used unless other specified

The program can not copy the opened files so we have to close all files before synchronization